/****************************************************************************
**  CUBE        http://www.scalasca.org/                                   **
*****************************************************************************
**  Copyright (c) 2015-2020                                                **
**  Forschungszentrum Juelich GmbH, Juelich Supercomputing Centre          **
**                                                                         **
**  This software may be modified and distributed under the terms of       **
**  a BSD-style license.  See the COPYING file in the package base         **
**  directory for details.                                                 **
****************************************************************************/


#ifndef __MAX_EVALUATION_CPP
#define __MAX_EVALUATION_CPP 0

#include "blade-config.h"
#include <cmath>
#include <algorithm>

#include "MaxEvaluation.h"
// using namespace cube;
using namespace std;

MaxEvaluation::MaxEvaluation() : BinaryEvaluation()
{
};

MaxEvaluation::MaxEvaluation( GeneralEvaluation* _arg1,
                              GeneralEvaluation* _arg2 ) : BinaryEvaluation( _arg1, _arg2 )
{
};

MaxEvaluation::~MaxEvaluation() 
{
};



#endif
