/****************************************************************************
**  CUBE        http://www.scalasca.org/                                   **
*****************************************************************************
**  Copyright (c) 2015-2020                                                **
**  Forschungszentrum Juelich GmbH, Juelich Supercomputing Centre          **
**                                                                         **
**  This software may be modified and distributed under the terms of       **
**  a BSD-style license.  See the COPYING file in the package base         **
**  directory for details.                                                 **
****************************************************************************/


#include "blade-config.h"
#include "LocationFilter.h"

 
FilterResult 
LocationFilter::apply( TraceEvent * _te )
{ 
    if (!is_active())
        return FILTER_OK;
    
    return ( _te->get_location() != location )?FILTER_CHILDREN:FILTER_OK;
}
    
