/****************************************************************************
**  CUBE        http://www.scalasca.org/                                   **
*****************************************************************************
**  Copyright (c) 2015-2020                                                **
**  Forschungszentrum Juelich GmbH, Juelich Supercomputing Centre          **
**                                                                         **
**  This software may be modified and distributed under the terms of       **
**  a BSD-style license.  See the COPYING file in the package base         **
**  directory for details.                                                 **
****************************************************************************/



#include "blade-config.h"
#include <QtGui>
#include <QLabel>
#include <QWidget>
#include <QToolBar>
#include <QTimer>
#include <QThread>

#include "MouseLabel.h"




MouseLabel:: MouseLabel( TraceEventGroupAnalyzer* _an, const QString & text, QWidget * parent, Qt::WindowFlags f):QLabel(text, parent, f),an(_an) 
{
    setMouseTracking ( true );
};

    

void 
MouseLabel::mouseMoveEvent ( QMouseEvent * event )
{
    emit mouseOver( an );
}
    
