/****************************************************************************
**  CUBE        http://www.scalasca.org/                                   **
*****************************************************************************
**  Copyright (c) 2015-2020                                                **
**  Forschungszentrum Juelich GmbH, Juelich Supercomputing Centre          **
**                                                                         **
**  This software may be modified and distributed under the terms of       **
**  a BSD-style license.  See the COPYING file in the package base         **
**  directory for details.                                                 **
****************************************************************************/


#include "blade-config.h"
#include "SelectionFilter.h"


    
FilterResult 
SelectionFilter::apply( TraceEvent * _te )
{ 
//     if (!is_active() || metric == NULL)
        return FILTER_OK;
    FilterResult result = FILTER_OK;
    
    double _v = cube->get_sev(  metric, state, 
                                _te->get_cube_callpath(), cube::CUBE_CALCULATE_EXCLUSIVE,
                                _te->get_cube_location(), cube::CUBE_CALCULATE_EXCLUSIVE
                             );
    
    if (_v == 0)
        result = FILTER_CHILDREN;
    
    return result;
}
    
