/****************************************************************************
**  CUBE        http://www.scalasca.org/                                   **
*****************************************************************************
**  Copyright (c) 2015-2020                                                **
**  Forschungszentrum Juelich GmbH, Juelich Supercomputing Centre          **
**                                                                         **
**  This software may be modified and distributed under the terms of       **
**  a BSD-style license.  See the COPYING file in the package base         **
**  directory for details.                                                 **
****************************************************************************/


#ifndef __UNARY_EVALUATION_CPP
#define __UNARY_EVALUATION_CPP 0

#include "blade-config.h"
#include "UnaryEvaluation.h"
using namespace std;


UnaryEvaluation::UnaryEvaluation() : GeneralEvaluation()
{
};

UnaryEvaluation::UnaryEvaluation( GeneralEvaluation* _arg1 ) : GeneralEvaluation()
{
    argument = _arg1 ;
};


UnaryEvaluation::~UnaryEvaluation()
{
    delete argument;
}

void
UnaryEvaluation::setArgument( GeneralEvaluation* _arg )
{
    argument = _arg;
}



#endif
