/****************************************************************************
**  CUBE        http://www.scalasca.org/                                   **
*****************************************************************************
**  Copyright (c) 2015-2020                                                **
**  Forschungszentrum Juelich GmbH, Juelich Supercomputing Centre          **
**                                                                         **
**  This software may be modified and distributed under the terms of       **
**  a BSD-style license.  See the COPYING file in the package base         **
**  directory for details.                                                 **
****************************************************************************/


#include "blade-config.h"
#include <string>
#include <vector>
#include <inttypes.h>
#include <iostream>
#include <stack>
#include <utility>

#include "TraceEventStrippedSection.h"

std::ostream&
operator<<( std::ostream& out, TraceEventStrippedSection & _p)
{
    out << "Section:(" << std::endl << 
    _p.start_t <<"-" << _p.end_t<< "=" << _p.start_value << "-"<< _p.end_value 
    << ")" << std::endl;

    return out;
}
 
  
  
